%define upstream_name    Net-DAAP-Client
%define upstream_version 0.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Client for Apple iTunes DAAP service
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires: perl(Digest::MD5::M4p)
BuildRequires: perl-libwww-perl
BuildRequires: perl(Net::DAAP::DMAP)
BuildArch: noarch


%description
dapple is a DAAP library for Perl.  DAAP is the protocol built
on top of HTTP that Apple's iTunes 4 uses to share music.  Most
responses to DAAP requests contain a binary DMAP structure.
This is an incomplete release.  There are missing features.
See the TODO file for future plans.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%defattr(-, root, root, 0755)
%doc README Changes
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Net/DAAP/Client.pm
%{perl_vendorlib}/Net/DAAP/Client/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.420.0-11.mga10
+ Revision: 2211933
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.420.0-10.mga9
+ Revision: 1830677
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.420.0-9.mga8
+ Revision: 1495797
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.420.0-8.mga7
+ Revision: 1269894
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.420.0-7.mga6
+ Revision: 1031022
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.420.0-6.mga6
+ Revision: 940468
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.420.0-5.mga5
+ Revision: 745602
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.420.0-4.mga5
+ Revision: 685632
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.420.0-3.mga4
+ Revision: 513382
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.420.0-2.mga3
+ Revision: 370509
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.420.0-1.mga1
+ Revision: 32226
- mageia rebuild
- imported package perl-Net-DAAP-Client


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.420.0-1mdv2010.0
+ Revision: 404067
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.42-4mdv2009.0
+ Revision: 258003
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.42-3mdv2009.0
+ Revision: 246055
- rebuild

* Sun Mar 23 2008 Stefan van der Eijk <stefan@mandriva.org> 0.42-1mdv2008.1
+ Revision: 189590
- BuildRequires: perl-libwww-perl
- add missing BuildRequires: perl-Net-DAAP-DMAP
- fix License & Group
- import perl-Net-DAAP-Client


